Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_Slot_Generic

Slot Generic Class
Contained in: global
Derived from: none
Derived by: CL_Slot_v0
Group: Signal (System)

#include <ClanLib/signals.h>

### public function member index:

### Construction:

`` | `CL_Slot_Generic` | `()`;
``virtual`` | `~CL_Slot_Generic` | `()`;

### Attributes:

``int`` | `get_slot_ref` | `() `const``;
``int`` | `get_signal_ref` | `() `const``;

### Operations:

``void`` | `add_slot_ref` | `()`;
``void`` | `release_slot_ref` | `()`;
``void`` | `add_signal_ref` | `()`;
``void`` | `release_signal_ref` | `()`;

### private function member index:

### Implementation:

``void`` | `check_delete` | `()`;

## Description:

## Function Member Descriptions:

CL_Slot_Generic::CL_Slot_Generic - Slot Generic Constructor
`` `CL_Slot_Generic` `()`;

CL_Slot_Generic::add_signal_ref - Add signal ref
``void`` `add_signal_ref` `()`;

CL_Slot_Generic::add_slot_ref - Add slot ref
``void`` `add_slot_ref` `()`;

CL_Slot_Generic::get_signal_ref - Get signal ref
``int`` `get_signal_ref` `() `const``;

CL_Slot_Generic::get_slot_ref - Get slot ref
``int`` `get_slot_ref` `() `const``;

CL_Slot_Generic::release_signal_ref - Release signal ref
``void`` `release_signal_ref` `()`;

CL_Slot_Generic::release_slot_ref - Release slot ref
``void`` `release_slot_ref` `()`;

CL_Slot_Generic::~CL_Slot_Generic - Slot Generic Destructor
``virtual`` `~CL_Slot_Generic` `()`;

## Variable Member Descriptions: